from flask_restplus import Api
from pyrest.webservices.timelapse.timelapse import timelapse_api
from pyrest.webservices.taskmap.taskmap import taskmap_api
import re

with open('pyrest/__init__.py', 'r') as fd:
    version = re.search(r'^__version__\s*=\s*[\'"]([^\'"]*)[\'"]',
                        fd.read(), re.MULTILINE).group(1)

api = Api(version=version, title='vito-pyrest', description='VITO PyREST API: RESTful API service built in Python. '
                                                            'This API focuses on image manipulations '
                                                            'and allows for programmatic rendering of taskmaps.')
api.add_namespace(timelapse_api)
api.add_namespace(taskmap_api)