from flask import request, after_this_request
from flask_restplus import Namespace, fields, Resource
from pyrest.utils.taskmap.Taskmap import MapFactory
import json

taskmap_api = Namespace('taskmap', description='Operations for taskmaps')

from pyrest.models.taskmap import taskmap_model

# Base taskmap service
@taskmap_api.route('/')
class TaskmapBaseService(Resource):
    def get(self):
        return "<h1>Welcome to the taskmaps API</h1>"

# Taskmap creation service
@taskmap_api.route('/<type>')
@taskmap_api.param('type', 'Type of taskmap to create')
class TaskmapCreationService(Resource):
    @taskmap_api.expect(taskmap_model)
    @taskmap_api.doc('Create a taskmap based on the GeoJSON data provided.')
    def post(self, type):
        data = request.get_json(force=True)

        jsondata = data
        taskmap = MapFactory.factory(jsondata, type)

        return taskmap